Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.converters.extended
Class DurationConverter

    java.lang.Object
      com.thoughtworks.xstream.converters.basic.AbstractSingleValueConverter
          com.thoughtworks.xstream.converters.extended.DurationConverter

All Implemented Interfaces:
  ConverterMatcher, SingleValueConverter

    public class DurationConverter

extends AbstractSingleValueConverter

A Converter for the XML Schema datatype duration and the Java type `Duration`.

Since:
  1.3
Author:
  John Kristian, Jörg Schaible

Constructor Summary
`DurationConverter()`
`DurationConverter(DatatypeFactory factory)`

Method Summary
`boolean` | `canConvert(Class c)` Determines whether the converter can marshall a particular type.
`Object` | `fromString(String s)` Unmarshals an Object from its single value representation.

Methods inherited from class com.thoughtworks.xstream.converters.basic.AbstractSingleValueConverter
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DurationConverter

    public DurationConverter()
                      throws DatatypeConfigurationException

Throws:
  `DatatypeConfigurationException`

### DurationConverter

    public DurationConverter(DatatypeFactory factory)

Method Detail

### canConvert

    public boolean canConvert(Class c)

  Description copied from interface: `ConverterMatcher`
  Determines whether the converter can marshall a particular type.

  Specified by:
    `canConvert` in interface `ConverterMatcher`
  Specified by:
    `canConvert` in class `AbstractSingleValueConverter`
  Parameters:
    `c` - the Class representing the object type to be converted

### fromString

    public Object fromString(String s)

  Description copied from interface: `SingleValueConverter`
  Unmarshals an Object from its single value representation.

  Specified by:
    `fromString` in interface `SingleValueConverter`
  Specified by:
    `fromString` in class `AbstractSingleValueConverter`
  Parameters:
    `s` - the String with the single value of the Object
  Returns:
    the Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.